obprop(1)

NAME
obprop - print standard molecular properties

SYNOPSIS
obprop filename

DESCRIPTION
The obprop program is a tool to print a set of standard molecular properties for all molecules in a file. It also serves as example code for using the Open Babel library (libopenbabel).

Output format includes:
name [Name]
formula [Formula]
mol_weight [Molecular Weight]
exact_mass [Isotopic Mass]
canonical_SMILES [String]
num_atoms [Number]
num_bonds [Number]
num_residues [Number]
sequence [Residue Sequence]
num_rings [Number of Rings (by SSSR)]
logP [Number (octanol-water partition)]
PSA [Number (topological polar surface area)]
MR [Number (molar refractivity)]
$$$

The "$$$" is the separator between multiple molecular entries in a file

EXAMPLES
    obprop pyridines.sdf

SEE ALSO
openbabel(1), obchiral(1), obfit(1), obgrep(1), obrotate(1).

The web pages for Open Babel can be found at: <http://openbabel.sourceforge.net/>

AUTHORS
The obprop program was contributed by Fabien Fontaine

-nosplit Open Babel is developed by a cast of many, including currrent maintainers Geoff Hutchison, Chris Morley, Michael Banck, and innumerable others who have contributed fixes and additions. For more contributors to Open Babel, see <http://openbabel.sourceforge.net/wiki/THANKS>

COPYRIGHT
Copyright (C) 2003 by Fabien Fontaine
Some portions Copyright (C) 2004-2007 by Geoffrey R. Hutchison and other contributors.

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation version 2 of the License.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.